import RangeSlider from "react-range-slider-input";
import "react-range-slider-input/dist/style.css";
import useLanguage from "../../hooks/useLanguage";

function SliderInput({ value = [2, 4], min = 1, max = 5, name, handler }) {
  const language = useLanguage();
  return (
    <div className=" mt-[30px]">
      <h4 className=" text-[22px] text-dark-300 pb-5 notranslate">
        {language["Price"]}
      </h4>
      <RangeSlider
        name={name}
        value={value}
        min={min}
        max={max}
        onInput={handler}
      />
      <p className=" text-dark-300 text-sm mt-4 transition-all duration-500 notranslate">
        {language["Price"]}: ${value[0]} - ${value[1]}
      </p>
    </div>
  );
}

export default SliderInput;
